GET
/v1/integrations/builds/edge/prepare
Copy to clipboard
Prepare new build (for edge runners)
Prepare new build (for edge runners)
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
storageProvider
object
optional
id
string
optional
provider
string
optional
name
string
optional
configuration
object
optional
security
object
optional
accessKey
string
optional
secret
string
optional
region
string
optional
bucket
string
optional
buildTempFolder
string
optional
supportedExtensions
array [string]
optional
{
"status": true,
"data": {
"storageProvider": {
"id": "string",
"provider": "s3",
"name": "string",
"configuration": {
"security": {
"accessKey": "string",
"secret": "string",
"region": "string"
},
"bucket": "string",
"buildTempFolder": "string"
}
},
"supportedExtensions": [
"string"
]
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}